-- by modelleicher
-- www.schwabenmodding.bplaced.net

SchlueterAnimations = {};

function SchlueterAnimations.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function SchlueterAnimations:load(xmlFile)
	-- Tachozeiger / Speedometer animation
	self.tachoZeiger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.SchlueterAnimations.TachoZeiger#zeigerIndex"));
	self.tachoZeigerMultiplicator = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.SchlueterAnimations.TachoZeiger#multiplicator"), 10);
	self.tachoZeigerMaxRotation = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.SchlueterAnimations.TachoZeiger#maxRotation"), 245);
end;
function SchlueterAnimations:delete()
end;
function SchlueterAnimations:mouseEvent(posX, posY, isDown, isUp, button)
end;
function SchlueterAnimations:keyEvent(unicode, sym, modifier, isDown)
end;
function SchlueterAnimations:update(dt)
end;
function SchlueterAnimations:updateTick(dt)
			-- Tachozeiger / speedometer animation
			self.kmhMath = math.min(100, math.max(0, self.lastSpeed*self.speedDisplayScale*3600));
			local zeigerRotation = self.kmhMath * self.tachoZeigerMultiplicator;
			if zeigerRotation <= self.tachoZeigerMaxRotation then
				setRotation(self.tachoZeiger, 0, -Utils.degToRad(zeigerRotation), 0);
			else
				setRotation(self.tachoZeiger, 0, -Utils.degToRad(self.tachoZeigerMaxRotation), 0);	
			end;
end;
function SchlueterAnimations:draw()
end;
function SchlueterAnimations:onEnter()
end;
function SchlueterAnimations:onLeave()
end;

